Bug 35554 - Can't su while running Control Panel/User
Can't su while running Control Panel/User
Product: Red Hat Linux
Classification: Retired
Component: kdeadmin (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-04-11 00:01 EDT by Mike Chambers
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-11 00:06:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Chambers 2001-04-11 00:01:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

As normal user when click on control panel, then User, it 
runs /usr/bin/kuser and asks you for root password so as to su and run the 
User program.  After putting in password it says "The Program 'su' is not 
found!" then "Make sure your PATH is set correctly"

Reproducible: Always
Steps to Reproduce:
1.Login as normal user to KDE
2.Click on Control Panel
3.Click on User
4.Put in root password
5.Click on OK button

Actual Results:  Get error message stating 'su' command not found and to 
make sure your PATH is set correctly.

Expected Results:  Should let you su to root and modify users/groups in 
the User program.

I have not touched my path related files nor even know what they are 
suppose to be.  This is a fresh wolverine install with all up2dates run 
and current as of Apr 5th.
Comment 1 Mike Chambers 2001-04-11 00:06:16 EDT
Actually, nothing in control panel will let me 'su' to any program.  But if I 
login via command line I can use the su command and it works.  Hope that helps.
Comment 2 Bernhard Rosenkraenzer 2001-05-17 15:30:36 EDT
I can't reproduce this. It should be using kdesu in the first place...
Make sure you installed kdebase.

Note You need to log in before you can comment on or make changes to this bug.